Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7564 - login: input in flex scanner failed
Summary: login: input in flex scanner failed
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-03 19:37 UTC by Eric Bourque
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-04 00:24:23 UTC


Attachments (Terms of Use)

Description Eric Bourque 1999-12-03 19:37:15 UTC
After rebooting a RH6.1 system which has been working fine for several
months, I suddenly can not log in as any user but root. There is no
/etc/nologin file, I have updated initscripts, and most other packages
which have errata associated with them. The error I get when logging in as
non-root user on a console is:

"input in flex scanner failed"

If I log in as root and su (or su -) to the other account, all works well,
so it seems to not be an authentication problem.

Comment 1 Jeff Johnson 1999-12-03 19:50:59 UTC
The message is not from login, but rather from /lib/security/pam_console.so,
a PAM helper module used by /bin/login.

You most likely have a damaged configuration. The simplest fix is
to reinstall the pam package (pam-0.68-7 in Red Hat 6.1) using
	rpm -U --force pam-0.68-7.*.rpm
and see whether that corrects the problem. If not, you'll have to examine
your PAM configuration in /etc/pam.d/*. Look for random file corruption
that can occur when a machine is rebooted after a crash or from a sudden
power down.

Comment 2 Elliot Lee 2000-02-04 00:24:59 UTC
No response from reporter - assumed resolved.


Note You need to log in before you can comment on or make changes to this bug.